Bug 479492 - Faint sound and and headphones problem
Faint sound and and headphones problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 19:21 EST by Mark Patton
Modified: 2009-01-12 12:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-10 18:04:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Patton 2009-01-09 19:21:17 EST
Description of problem:

The sound Fedora 10 outputs to the speakers is very faint. I can get up to barely usable volume only by maxing out every slider (after turning them all on) in volume control. Strangely I couldn't hear anything at all until I also maxed out the side channel.

Also, plugging in headphones does not mute the speaker as it should.

These problems were not present in Fedora 9.

Version-Release number of selected component (if applicable):

uname -a
Linux tyr.ragnarok 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686 i686 i386 GNU/Linux

rpm -q pulseaudio alsa-lib
pulseaudio-0.9.13-6.fc10.i386
alsa-lib-1.0.18-6.rc3.fc10.i386

How reproducible:

Very.

Steps to Reproduce:
1. Boot the computer.
2. Run rhthymbox
3. Listen to music
  
Actual results:

Music faint even with all volume levels maxed out.

Expected results:

Normal control over music volume.

Additional info:


Sound card:
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
	Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer Device 3111
	Flags: bus master, fast devsel, latency 0, IRQ 22
	Memory at fdff4000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

cat /proc/asound/cards
 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfdff4000 irq 22
Comment 1 Mark Patton 2009-01-10 18:04:37 EST
Mea culpa. I hadn't noticed there are two analog outputs and must have switched them when I installed Fedora 10. I guess one is center and the other is a side channel. Switching my to the other analog output fixed all my problems.
Comment 2 Lennart Poettering 2009-01-12 12:16:15 EST
Closing then. 

Hopefully in one of the versions of Fedora we will have a more complete mixer default initialization database which will set these things up correctly by default.

Note You need to log in before you can comment on or make changes to this bug.